window.Gleam.initSearch([{"doc":"cake","title":"cake","content":"# Cake Query Builder\n\nAn SQL query builder for Gleam targeting Postgres and SQLite - a preview\n\n[![Package\n&lt;a href=&quot;https://github.com/inoas/gleam-cake/releases&quot;&gt;&lt;img src=&quot;https://img.shields.io/github/release/inoas/gleam-cake&quot; alt=&quot;GitHub release&quot;&gt;&lt;/a&gt;\n&lt;a href=&quot;https://discord.gg/Fm8Pwmy&quot;&gt;&lt;img src=&quot;https://img.shields.io/discord/768594524158427167?color=blue&quot; alt=&quot;Discord chat&quot;&gt;&lt;/a&gt;\n![CI](https://github.com/inoas/gleam-cake/workflows/test/badge.svg?branch=main)\nVersion](https://img.shields.io/hexpm/v/cake)](https://hex.pm/packages/cake)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/cake/)\n![Erlang-compatible](https://img.shields.io/badge/target-erlang-b83998)\n\n```shell\ngleam add cake\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/cake&gt;.\n\n## Development\n\nHelper commands:\n\n```shell\nbin/run-watchexec\n\nbin/test\nbin/glacier\n\nbin/birdie/interactive-review\nbin/birdie/accept-all\nbin/birdie/reject-all\n```\n","url":"index.html"},{"doc":"cake/param","title":"Param","content":"pub type Param {\n  BoolParam(Bool)\n  FloatParam(Float)\n  IntParam(Int)\n  StringParam(String)\n}\n\nBoolParam(Bool)\n\n\nFloatParam(Float)\n\n\nIntParam(Int)\n\n\nStringParam(String)\n\n\nSynonyms:\ncake/param.Param\ncake/param Param","url":"cake/param.html#Param"},{"doc":"cake/param","title":"bool","content":"pub fn bool(value: Bool) -&gt; Param\n\nSynonyms:\ncake/param.bool\ncake/param bool","url":"cake/param.html#bool"},{"doc":"cake/param","title":"float","content":"pub fn float(value: Float) -&gt; Param\n\nSynonyms:\ncake/param.float\ncake/param float","url":"cake/param.html#float"},{"doc":"cake/param","title":"int","content":"pub fn int(value: Int) -&gt; Param\n\nSynonyms:\ncake/param.int\ncake/param int","url":"cake/param.html#int"},{"doc":"cake/param","title":"string","content":"pub fn string(value: String) -&gt; Param\n\nSynonyms:\ncake/param.string\ncake/param string","url":"cake/param.html#string"},{"doc":"cake/param","title":"cake/param","content":"","url":"cake/param.html"},{"doc":"cake/stdlib/listx","title":"append_item","content":"pub fn append_item(list l: List(a), item i: a) -&gt; List(a)\n\nSynonyms:\ncake/stdlib/listx.append_item\ncake/stdlib/listx append_item","url":"cake/stdlib/listx.html#append_item"},{"doc":"cake/stdlib/listx","title":"wrap","content":"pub fn wrap(item i: a) -&gt; List(a)\n\nSynonyms:\ncake/stdlib/listx.wrap\ncake/stdlib/listx wrap","url":"cake/stdlib/listx.html#wrap"},{"doc":"cake/stdlib/listx","title":"cake/stdlib/listx","content":"","url":"cake/stdlib/listx.html"},{"doc":"cake/stdlib/iox","title":"dbg","content":"pub fn dbg(v: a) -&gt; a\n\nSynonyms:\ncake/stdlib/iox.dbg\ncake/stdlib/iox dbg","url":"cake/stdlib/iox.html#dbg"},{"doc":"cake/stdlib/iox","title":"dbg_label","content":"pub fn dbg_label(v: a, label: String) -&gt; a\n\nSynonyms:\ncake/stdlib/iox.dbg_label\ncake/stdlib/iox dbg_label","url":"cake/stdlib/iox.html#dbg_label"},{"doc":"cake/stdlib/iox","title":"inspect","content":"pub fn inspect(v: a) -&gt; String\n\nSynonyms:\ncake/stdlib/iox.inspect\ncake/stdlib/iox inspect","url":"cake/stdlib/iox.html#inspect"},{"doc":"cake/stdlib/iox","title":"print","content":"pub fn print(s: String) -&gt; Nil\n\nSynonyms:\ncake/stdlib/iox.print\ncake/stdlib/iox print","url":"cake/stdlib/iox.html#print"},{"doc":"cake/stdlib/iox","title":"print_dashes","content":"pub fn print_dashes() -&gt; Nil\n\nSynonyms:\ncake/stdlib/iox.print_dashes\ncake/stdlib/iox print_dashes","url":"cake/stdlib/iox.html#print_dashes"},{"doc":"cake/stdlib/iox","title":"print_dashes_tap","content":"pub fn print_dashes_tap(v: a) -&gt; a\n\nSynonyms:\ncake/stdlib/iox.print_dashes_tap\ncake/stdlib/iox print_dashes_tap","url":"cake/stdlib/iox.html#print_dashes_tap"},{"doc":"cake/stdlib/iox","title":"print_tap","content":"pub fn print_tap(v: a, s: String) -&gt; a\n\nSynonyms:\ncake/stdlib/iox.print_tap\ncake/stdlib/iox print_tap","url":"cake/stdlib/iox.html#print_tap"},{"doc":"cake/stdlib/iox","title":"println","content":"pub fn println(s: String) -&gt; Nil\n\nSynonyms:\ncake/stdlib/iox.println\ncake/stdlib/iox println","url":"cake/stdlib/iox.html#println"},{"doc":"cake/stdlib/iox","title":"cake/stdlib/iox","content":"","url":"cake/stdlib/iox.html"},{"doc":"cake/adapter/postgres_adapter","title":"execute","content":"pub fn execute(\n  query: String,\n  conn: Connection,\n) -&gt; Result(Returned(Dynamic), QueryError)\n\nSynonyms:\ncake/adapter/postgres_adapter.execute\ncake/adapter/postgres_adapter execute","url":"cake/adapter/postgres_adapter.html#execute"},{"doc":"cake/adapter/postgres_adapter","title":"run_query","content":"pub fn run_query(\n  db_conn: Connection,\n  query qry: Query,\n  decoder dcdr: fn(Dynamic) -&gt; Result(a, List(DecodeError)),\n) -&gt; Result(List(a), QueryError)\n\nSynonyms:\ncake/adapter/postgres_adapter.run_query\ncake/adapter/postgres_adapter run_query","url":"cake/adapter/postgres_adapter.html#run_query"},{"doc":"cake/adapter/postgres_adapter","title":"to_prepared_statement","content":"pub fn to_prepared_statement(\n  query qry: Query,\n) -&gt; PreparedStatement\n\nSynonyms:\ncake/adapter/postgres_adapter.to_prepared_statement\ncake/adapter/postgres_adapter to_prepared_statement","url":"cake/adapter/postgres_adapter.html#to_prepared_statement"},{"doc":"cake/adapter/postgres_adapter","title":"with_connection","content":"pub fn with_connection(f: fn(Connection) -&gt; a) -&gt; a\n\nSynonyms:\ncake/adapter/postgres_adapter.with_connection\ncake/adapter/postgres_adapter with_connection","url":"cake/adapter/postgres_adapter.html#with_connection"},{"doc":"cake/adapter/postgres_adapter","title":"cake/adapter/postgres_adapter","content":"","url":"cake/adapter/postgres_adapter.html"},{"doc":"cake/adapter/sqlite_adapter","title":"execute","content":"pub fn execute(\n  query: String,\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\ncake/adapter/sqlite_adapter.execute\ncake/adapter/sqlite_adapter execute","url":"cake/adapter/sqlite_adapter.html#execute"},{"doc":"cake/adapter/sqlite_adapter","title":"run_query","content":"pub fn run_query(\n  db_connection db_conn: Connection,\n  query qry: Query,\n  decoder dcdr: fn(Dynamic) -&gt; Result(a, List(DecodeError)),\n) -&gt; Result(List(a), Error)\n\nSynonyms:\ncake/adapter/sqlite_adapter.run_query\ncake/adapter/sqlite_adapter run_query","url":"cake/adapter/sqlite_adapter.html#run_query"},{"doc":"cake/adapter/sqlite_adapter","title":"to_prepared_statement","content":"pub fn to_prepared_statement(\n  query qry: Query,\n) -&gt; PreparedStatement\n\nSynonyms:\ncake/adapter/sqlite_adapter.to_prepared_statement\ncake/adapter/sqlite_adapter to_prepared_statement","url":"cake/adapter/sqlite_adapter.html#to_prepared_statement"},{"doc":"cake/adapter/sqlite_adapter","title":"with_memory_connection","content":"pub fn with_memory_connection(\n  callback_fun: fn(Connection) -&gt; a,\n) -&gt; a\n\nSynonyms:\ncake/adapter/sqlite_adapter.with_memory_connection\ncake/adapter/sqlite_adapter with_memory_connection","url":"cake/adapter/sqlite_adapter.html#with_memory_connection"},{"doc":"cake/adapter/sqlite_adapter","title":"cake/adapter/sqlite_adapter","content":"","url":"cake/adapter/sqlite_adapter.html"},{"doc":"cake/query/combined","title":"CombinedOrderByDirectionPart","content":"pub type CombinedOrderByDirectionPart {\n  Asc\n  Desc\n}\n\nAsc\n\n\nDesc\n\n\nSynonyms:\ncake/query/combined.CombinedOrderByDirectionPart\ncake/query/combined CombinedOrderByDirectionPart","url":"cake/query/combined.html#CombinedOrderByDirectionPart"},{"doc":"cake/query/combined","title":"except","content":"pub fn except(\n  select_queries qrys: List(SelectQuery),\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.except\ncake/query/combined except","url":"cake/query/combined.html#except"},{"doc":"cake/query/combined","title":"except_all","content":"pub fn except_all(\n  select_queries qrys: List(SelectQuery),\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.except_all\ncake/query/combined except_all","url":"cake/query/combined.html#except_all"},{"doc":"cake/query/combined","title":"get_limit_and_offset","content":"pub fn get_limit_and_offset(\n  select_query qry: CombinedQuery,\n) -&gt; LimitOffsetPart\n\nSynonyms:\ncake/query/combined.get_limit_and_offset\ncake/query/combined get_limit_and_offset","url":"cake/query/combined.html#get_limit_and_offset"},{"doc":"cake/query/combined","title":"intersect","content":"pub fn intersect(\n  select_queries qrys: List(SelectQuery),\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.intersect\ncake/query/combined intersect","url":"cake/query/combined.html#intersect"},{"doc":"cake/query/combined","title":"intersect_all","content":"pub fn intersect_all(\n  select_queries qrys: List(SelectQuery),\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.intersect_all\ncake/query/combined intersect_all","url":"cake/query/combined.html#intersect_all"},{"doc":"cake/query/combined","title":"order","content":"pub fn order(\n  query qry: CombinedQuery,\n  by ordb: String,\n  direction dir: CombinedOrderByDirectionPart,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order\ncake/query/combined order","url":"cake/query/combined.html#order"},{"doc":"cake/query/combined","title":"order_asc","content":"pub fn order_asc(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_asc\ncake/query/combined order_asc","url":"cake/query/combined.html#order_asc"},{"doc":"cake/query/combined","title":"order_asc_nulls_first","content":"pub fn order_asc_nulls_first(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_asc_nulls_first\ncake/query/combined order_asc_nulls_first","url":"cake/query/combined.html#order_asc_nulls_first"},{"doc":"cake/query/combined","title":"order_asc_nulls_first_replace","content":"pub fn order_asc_nulls_first_replace(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_asc_nulls_first_replace\ncake/query/combined order_asc_nulls_first_replace","url":"cake/query/combined.html#order_asc_nulls_first_replace"},{"doc":"cake/query/combined","title":"order_asc_replace","content":"pub fn order_asc_replace(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_asc_replace\ncake/query/combined order_asc_replace","url":"cake/query/combined.html#order_asc_replace"},{"doc":"cake/query/combined","title":"order_desc","content":"pub fn order_desc(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_desc\ncake/query/combined order_desc","url":"cake/query/combined.html#order_desc"},{"doc":"cake/query/combined","title":"order_desc_nulls_first","content":"pub fn order_desc_nulls_first(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_desc_nulls_first\ncake/query/combined order_desc_nulls_first","url":"cake/query/combined.html#order_desc_nulls_first"},{"doc":"cake/query/combined","title":"order_desc_nulls_first_replace","content":"pub fn order_desc_nulls_first_replace(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_desc_nulls_first_replace\ncake/query/combined order_desc_nulls_first_replace","url":"cake/query/combined.html#order_desc_nulls_first_replace"},{"doc":"cake/query/combined","title":"order_desc_replace","content":"pub fn order_desc_replace(\n  query qry: CombinedQuery,\n  by ordb: String,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_desc_replace\ncake/query/combined order_desc_replace","url":"cake/query/combined.html#order_desc_replace"},{"doc":"cake/query/combined","title":"order_replace","content":"pub fn order_replace(\n  query qry: CombinedQuery,\n  by ordb: String,\n  direction dir: CombinedOrderByDirectionPart,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.order_replace\ncake/query/combined order_replace","url":"cake/query/combined.html#order_replace"},{"doc":"cake/query/combined","title":"set_limit","content":"pub fn set_limit(\n  query qry: CombinedQuery,\n  limit lmt: Int,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.set_limit\ncake/query/combined set_limit","url":"cake/query/combined.html#set_limit"},{"doc":"cake/query/combined","title":"set_limit_and_offset","content":"pub fn set_limit_and_offset(\n  query qry: CombinedQuery,\n  limit lmt: Int,\n  offset offst: Int,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.set_limit_and_offset\ncake/query/combined set_limit_and_offset","url":"cake/query/combined.html#set_limit_and_offset"},{"doc":"cake/query/combined","title":"set_offset","content":"pub fn set_offset(\n  query qry: CombinedQuery,\n  limit lmt: Int,\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.set_offset\ncake/query/combined set_offset","url":"cake/query/combined.html#set_offset"},{"doc":"cake/query/combined","title":"to_query","content":"pub fn to_query(combined_query qry: CombinedQuery) -&gt; Query\n\nSynonyms:\ncake/query/combined.to_query\ncake/query/combined to_query","url":"cake/query/combined.html#to_query"},{"doc":"cake/query/combined","title":"union","content":"pub fn union(\n  select_queries qrys: List(SelectQuery),\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.union\ncake/query/combined union","url":"cake/query/combined.html#union"},{"doc":"cake/query/combined","title":"union_all","content":"pub fn union_all(\n  select_queries qrys: List(SelectQuery),\n) -&gt; CombinedQuery\n\nSynonyms:\ncake/query/combined.union_all\ncake/query/combined union_all","url":"cake/query/combined.html#union_all"},{"doc":"cake/query/combined","title":"cake/query/combined","content":"","url":"cake/query/combined.html"},{"doc":"cake/query/fragment","title":"placeholder","content":"pub const placeholder: String\n\nSynonyms:\ncake/query/fragment.placeholder\ncake/query/fragment placeholder","url":"cake/query/fragment.html#placeholder"},{"doc":"cake/query/fragment","title":"literal","content":"pub fn literal(string str: String) -&gt; Fragment\n\nSynonyms:\ncake/query/fragment.literal\ncake/query/fragment literal","url":"cake/query/fragment.html#literal"},{"doc":"cake/query/fragment","title":"prepared","content":"pub fn prepared(\n  string str: String,\n  params prms: List(Param),\n) -&gt; Fragment\n\nSynonyms:\ncake/query/fragment.prepared\ncake/query/fragment prepared","url":"cake/query/fragment.html#prepared"},{"doc":"cake/query/fragment","title":"cake/query/fragment","content":"","url":"cake/query/fragment.html"},{"doc":"cake/query/from","title":"sub_query","content":"pub fn sub_query(\n  sub_query qry: Query,\n  alias als: String,\n) -&gt; FromPart\n\nSynonyms:\ncake/query/from.sub_query\ncake/query/from sub_query","url":"cake/query/from.html#sub_query"},{"doc":"cake/query/from","title":"table","content":"pub fn table(name tbl_nm: String) -&gt; FromPart\n\nSynonyms:\ncake/query/from.table\ncake/query/from table","url":"cake/query/from.html#table"},{"doc":"cake/query/from","title":"cake/query/from","content":"","url":"cake/query/from.html"},{"doc":"cake/query/join","title":"cross","content":"pub fn cross(with wth: Join, alias als: String) -&gt; JoinPart\n\nSynonyms:\ncake/query/join.cross\ncake/query/join cross","url":"cake/query/join.html#cross"},{"doc":"cake/query/join","title":"full_outer","content":"pub fn full_outer(\n  with wth: Join,\n  alias als: String,\n  on on: WherePart,\n) -&gt; JoinPart\n\nSynonyms:\ncake/query/join.full_outer\ncake/query/join full_outer","url":"cake/query/join.html#full_outer"},{"doc":"cake/query/join","title":"inner","content":"pub fn inner(\n  with wth: Join,\n  alias als: String,\n  on on: WherePart,\n) -&gt; JoinPart\n\nSynonyms:\ncake/query/join.inner\ncake/query/join inner","url":"cake/query/join.html#inner"},{"doc":"cake/query/join","title":"left_outer","content":"pub fn left_outer(\n  with wth: Join,\n  alias als: String,\n  on on: WherePart,\n) -&gt; JoinPart\n\nSynonyms:\ncake/query/join.left_outer\ncake/query/join left_outer","url":"cake/query/join.html#left_outer"},{"doc":"cake/query/join","title":"right_outer","content":"pub fn right_outer(\n  with wth: Join,\n  alias als: String,\n  on on: WherePart,\n) -&gt; JoinPart\n\nSynonyms:\ncake/query/join.right_outer\ncake/query/join right_outer","url":"cake/query/join.html#right_outer"},{"doc":"cake/query/join","title":"sub_query","content":"pub fn sub_query(sub_query sq: Query) -&gt; Join\n\nSynonyms:\ncake/query/join.sub_query\ncake/query/join sub_query","url":"cake/query/join.html#sub_query"},{"doc":"cake/query/join","title":"table","content":"pub fn table(table_name tbl: String) -&gt; Join\n\nSynonyms:\ncake/query/join.table\ncake/query/join table","url":"cake/query/join.html#table"},{"doc":"cake/query/join","title":"cake/query/join","content":"","url":"cake/query/join.html"},{"doc":"cake/query/select","title":"SelectOrderByDirectionPart","content":"pub type SelectOrderByDirectionPart {\n  Asc\n  Desc\n}\n\nAsc\n\n\nDesc\n\n\nSynonyms:\ncake/query/select.SelectOrderByDirectionPart\ncake/query/select SelectOrderByDirectionPart","url":"cake/query/select.html#SelectOrderByDirectionPart"},{"doc":"cake/query/select","title":"alias","content":"pub fn alias(\n  value v: SelectValue,\n  alias als: String,\n) -&gt; SelectValue\n\nSynonyms:\ncake/query/select.alias\ncake/query/select alias","url":"cake/query/select.html#alias"},{"doc":"cake/query/select","title":"bool","content":"pub fn bool(value: Bool) -&gt; SelectValue\n\nSynonyms:\ncake/query/select.bool\ncake/query/select bool","url":"cake/query/select.html#bool"},{"doc":"cake/query/select","title":"col","content":"pub fn col(name: String) -&gt; SelectValue\n\nSynonyms:\ncake/query/select.col\ncake/query/select col","url":"cake/query/select.html#col"},{"doc":"cake/query/select","title":"float","content":"pub fn float(value: Float) -&gt; SelectValue\n\nSynonyms:\ncake/query/select.float\ncake/query/select float","url":"cake/query/select.html#float"},{"doc":"cake/query/select","title":"fragment","content":"pub fn fragment(fragment frgmt: Fragment) -&gt; SelectValue\n\nSynonyms:\ncake/query/select.fragment\ncake/query/select fragment","url":"cake/query/select.html#fragment"},{"doc":"cake/query/select","title":"get_from","content":"pub fn get_from(select_query qry: SelectQuery) -&gt; FromPart\n\nSynonyms:\ncake/query/select.get_from\ncake/query/select get_from","url":"cake/query/select.html#get_from"},{"doc":"cake/query/select","title":"get_joins","content":"pub fn get_joins(select_query qry: SelectQuery) -&gt; List(JoinPart)\n\nSynonyms:\ncake/query/select.get_joins\ncake/query/select get_joins","url":"cake/query/select.html#get_joins"},{"doc":"cake/query/select","title":"get_limit_and_offset","content":"pub fn get_limit_and_offset(\n  select_query qry: SelectQuery,\n) -&gt; LimitOffsetPart\n\nSynonyms:\ncake/query/select.get_limit_and_offset\ncake/query/select get_limit_and_offset","url":"cake/query/select.html#get_limit_and_offset"},{"doc":"cake/query/select","title":"get_select","content":"pub fn get_select(\n  select_query qry: SelectQuery,\n) -&gt; List(SelectValue)\n\nSynonyms:\ncake/query/select.get_select\ncake/query/select get_select","url":"cake/query/select.html#get_select"},{"doc":"cake/query/select","title":"get_where","content":"pub fn get_where(select_query qry: SelectQuery) -&gt; WherePart\n\nSynonyms:\ncake/query/select.get_where\ncake/query/select get_where","url":"cake/query/select.html#get_where"},{"doc":"cake/query/select","title":"int","content":"pub fn int(value: Int) -&gt; SelectValue\n\nSynonyms:\ncake/query/select.int\ncake/query/select int","url":"cake/query/select.html#int"},{"doc":"cake/query/select","title":"join","content":"pub fn join(\n  select_query qry: SelectQuery,\n  join_part prt: JoinPart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.join\ncake/query/select join","url":"cake/query/select.html#join"},{"doc":"cake/query/select","title":"join_replace","content":"pub fn join_replace(\n  select_query qry: SelectQuery,\n  join_part prt: JoinPart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.join_replace\ncake/query/select join_replace","url":"cake/query/select.html#join_replace"},{"doc":"cake/query/select","title":"joins","content":"pub fn joins(\n  select_query qry: SelectQuery,\n  join_parts prts: List(JoinPart),\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.joins\ncake/query/select joins","url":"cake/query/select.html#joins"},{"doc":"cake/query/select","title":"joins_replace","content":"pub fn joins_replace(\n  select_query qry: SelectQuery,\n  join_parts prts: List(JoinPart),\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.joins_replace\ncake/query/select joins_replace","url":"cake/query/select.html#joins_replace"},{"doc":"cake/query/select","title":"new","content":"pub fn new(\n  from frm: FromPart,\n  select slct: List(SelectValue),\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.new\ncake/query/select new","url":"cake/query/select.html#new"},{"doc":"cake/query/select","title":"new_from","content":"pub fn new_from(from frm: FromPart) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.new_from\ncake/query/select new_from","url":"cake/query/select.html#new_from"},{"doc":"cake/query/select","title":"new_select","content":"pub fn new_select(select slct: List(SelectValue)) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.new_select\ncake/query/select new_select","url":"cake/query/select.html#new_select"},{"doc":"cake/query/select","title":"or_where","content":"pub fn or_where(\n  select_query qry: SelectQuery,\n  where whr: WherePart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.or_where\ncake/query/select or_where","url":"cake/query/select.html#or_where"},{"doc":"cake/query/select","title":"order","content":"pub fn order(\n  select_query qry: SelectQuery,\n  by ordb: String,\n  direction dir: SelectOrderByDirectionPart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order\ncake/query/select order","url":"cake/query/select.html#order"},{"doc":"cake/query/select","title":"order_asc","content":"pub fn order_asc(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_asc\ncake/query/select order_asc","url":"cake/query/select.html#order_asc"},{"doc":"cake/query/select","title":"order_asc_nulls_first","content":"pub fn order_asc_nulls_first(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_asc_nulls_first\ncake/query/select order_asc_nulls_first","url":"cake/query/select.html#order_asc_nulls_first"},{"doc":"cake/query/select","title":"order_asc_nulls_first_replace","content":"pub fn order_asc_nulls_first_replace(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_asc_nulls_first_replace\ncake/query/select order_asc_nulls_first_replace","url":"cake/query/select.html#order_asc_nulls_first_replace"},{"doc":"cake/query/select","title":"order_asc_replace","content":"pub fn order_asc_replace(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_asc_replace\ncake/query/select order_asc_replace","url":"cake/query/select.html#order_asc_replace"},{"doc":"cake/query/select","title":"order_desc","content":"pub fn order_desc(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_desc\ncake/query/select order_desc","url":"cake/query/select.html#order_desc"},{"doc":"cake/query/select","title":"order_desc_nulls_first","content":"pub fn order_desc_nulls_first(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_desc_nulls_first\ncake/query/select order_desc_nulls_first","url":"cake/query/select.html#order_desc_nulls_first"},{"doc":"cake/query/select","title":"order_desc_nulls_first_replace","content":"pub fn order_desc_nulls_first_replace(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_desc_nulls_first_replace\ncake/query/select order_desc_nulls_first_replace","url":"cake/query/select.html#order_desc_nulls_first_replace"},{"doc":"cake/query/select","title":"order_desc_replace","content":"pub fn order_desc_replace(\n  select_query qry: SelectQuery,\n  by ordb: String,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_desc_replace\ncake/query/select order_desc_replace","url":"cake/query/select.html#order_desc_replace"},{"doc":"cake/query/select","title":"order_replace","content":"pub fn order_replace(\n  select_query qry: SelectQuery,\n  by ordb: String,\n  direction dir: SelectOrderByDirectionPart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.order_replace\ncake/query/select order_replace","url":"cake/query/select.html#order_replace"},{"doc":"cake/query/select","title":"select","content":"pub fn select(\n  select_query qry: SelectQuery,\n  select_parts prts: List(SelectValue),\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.select\ncake/query/select select","url":"cake/query/select.html#select"},{"doc":"cake/query/select","title":"select_replace","content":"pub fn select_replace(\n  select_query qry: SelectQuery,\n  select_parts prts: List(SelectValue),\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.select_replace\ncake/query/select select_replace","url":"cake/query/select.html#select_replace"},{"doc":"cake/query/select","title":"set_from","content":"pub fn set_from(\n  select_query qry: SelectQuery,\n  from frm: FromPart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.set_from\ncake/query/select set_from","url":"cake/query/select.html#set_from"},{"doc":"cake/query/select","title":"set_limit","content":"pub fn set_limit(\n  select_query qry: SelectQuery,\n  limit lmt: Int,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.set_limit\ncake/query/select set_limit","url":"cake/query/select.html#set_limit"},{"doc":"cake/query/select","title":"set_limit_and_offset","content":"pub fn set_limit_and_offset(\n  query qry: SelectQuery,\n  limit lmt: Int,\n  offset offst: Int,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.set_limit_and_offset\ncake/query/select set_limit_and_offset","url":"cake/query/select.html#set_limit_and_offset"},{"doc":"cake/query/select","title":"set_offset","content":"pub fn set_offset(\n  select_query qry: SelectQuery,\n  limit lmt: Int,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.set_offset\ncake/query/select set_offset","url":"cake/query/select.html#set_offset"},{"doc":"cake/query/select","title":"string","content":"pub fn string(value: String) -&gt; SelectValue\n\nSynonyms:\ncake/query/select.string\ncake/query/select string","url":"cake/query/select.html#string"},{"doc":"cake/query/select","title":"to_query","content":"pub fn to_query(select_query qry: SelectQuery) -&gt; Query\n\nSynonyms:\ncake/query/select.to_query\ncake/query/select to_query","url":"cake/query/select.html#to_query"},{"doc":"cake/query/select","title":"where","content":"pub fn where(\n  select_query qry: SelectQuery,\n  where whr: WherePart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.where\ncake/query/select where","url":"cake/query/select.html#where"},{"doc":"cake/query/select","title":"where_replace","content":"pub fn where_replace(\n  select_query qry: SelectQuery,\n  where whr: WherePart,\n) -&gt; SelectQuery\n\nSynonyms:\ncake/query/select.where_replace\ncake/query/select where_replace","url":"cake/query/select.html#where_replace"},{"doc":"cake/query/select","title":"cake/query/select","content":"","url":"cake/query/select.html"},{"doc":"cake/query/where","title":"and","content":"pub fn and(parts: List(WherePart)) -&gt; WherePart\n\nSynonyms:\ncake/query/where.and\ncake/query/where and","url":"cake/query/where.html#and"},{"doc":"cake/query/where","title":"between","content":"pub fn between(\n  value_a val_a: WhereValue,\n  value_b val_b: WhereValue,\n  value_c val_c: WhereValue,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.between\ncake/query/where between","url":"cake/query/where.html#between"},{"doc":"cake/query/where","title":"bool","content":"pub fn bool(value: Bool) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.bool\ncake/query/where bool","url":"cake/query/where.html#bool"},{"doc":"cake/query/where","title":"col","content":"pub fn col(name: String) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.col\ncake/query/where col","url":"cake/query/where.html#col"},{"doc":"cake/query/where","title":"eq","content":"pub fn eq(\n  value_a val_a: WhereValue,\n  value_b val_b: WhereValue,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.eq\ncake/query/where eq","url":"cake/query/where.html#eq"},{"doc":"cake/query/where","title":"float","content":"pub fn float(value: Float) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.float\ncake/query/where float","url":"cake/query/where.html#float"},{"doc":"cake/query/where","title":"fragment","content":"pub fn fragment(fragment frgmt: Fragment) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.fragment\ncake/query/where fragment","url":"cake/query/where.html#fragment"},{"doc":"cake/query/where","title":"gt","content":"pub fn gt(\n  value_a val_a: WhereValue,\n  value_b val_b: WhereValue,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.gt\ncake/query/where gt","url":"cake/query/where.html#gt"},{"doc":"cake/query/where","title":"gte","content":"pub fn gte(\n  value_a val_a: WhereValue,\n  value_b val_b: WhereValue,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.gte\ncake/query/where gte","url":"cake/query/where.html#gte"},{"doc":"cake/query/where","title":"ilike","content":"pub fn ilike(\n  value val: WhereValue,\n  pattern pttrn: String,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.ilike\ncake/query/where ilike","url":"cake/query/where.html#ilike"},{"doc":"cake/query/where","title":"in","content":"pub fn in(\n  value val: WhereValue,\n  values vals: List(WhereValue),\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.in\ncake/query/where in","url":"cake/query/where.html#in"},{"doc":"cake/query/where","title":"int","content":"pub fn int(value: Int) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.int\ncake/query/where int","url":"cake/query/where.html#int"},{"doc":"cake/query/where","title":"is_bool","content":"pub fn is_bool(value val: WhereValue, bool b: Bool) -&gt; WherePart\n\nSynonyms:\ncake/query/where.is_bool\ncake/query/where is_bool","url":"cake/query/where.html#is_bool"},{"doc":"cake/query/where","title":"is_not","content":"pub fn is_not(value val: WhereValue, bool b: Bool) -&gt; WherePart\n\nSynonyms:\ncake/query/where.is_not\ncake/query/where is_not","url":"cake/query/where.html#is_not"},{"doc":"cake/query/where","title":"is_not_bool","content":"pub fn is_not_bool(\n  value val: WhereValue,\n  bool b: Bool,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.is_not_bool\ncake/query/where is_not_bool","url":"cake/query/where.html#is_not_bool"},{"doc":"cake/query/where","title":"is_not_null","content":"pub fn is_not_null(value val: WhereValue) -&gt; WherePart\n\nSynonyms:\ncake/query/where.is_not_null\ncake/query/where is_not_null","url":"cake/query/where.html#is_not_null"},{"doc":"cake/query/where","title":"is_null","content":"pub fn is_null(value val: WhereValue) -&gt; WherePart\n\nSynonyms:\ncake/query/where.is_null\ncake/query/where is_null","url":"cake/query/where.html#is_null"},{"doc":"cake/query/where","title":"like","content":"pub fn like(\n  value val: WhereValue,\n  pattern pttrn: String,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.like\ncake/query/where like","url":"cake/query/where.html#like"},{"doc":"cake/query/where","title":"lt","content":"pub fn lt(\n  value_a val_a: WhereValue,\n  value_b val_b: WhereValue,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.lt\ncake/query/where lt","url":"cake/query/where.html#lt"},{"doc":"cake/query/where","title":"lte","content":"pub fn lte(\n  value_a val_a: WhereValue,\n  value_b val_b: WhereValue,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.lte\ncake/query/where lte","url":"cake/query/where.html#lte"},{"doc":"cake/query/where","title":"not","content":"pub fn not(part: WherePart) -&gt; WherePart\n\nSynonyms:\ncake/query/where.not\ncake/query/where not","url":"cake/query/where.html#not"},{"doc":"cake/query/where","title":"or","content":"pub fn or(parts: List(WherePart)) -&gt; WherePart\n\nSynonyms:\ncake/query/where.or\ncake/query/where or","url":"cake/query/where.html#or"},{"doc":"cake/query/where","title":"similar","content":"pub fn similar(\n  value val: WhereValue,\n  to pttrn: String,\n) -&gt; WherePart\n\nSynonyms:\ncake/query/where.similar\ncake/query/where similar","url":"cake/query/where.html#similar"},{"doc":"cake/query/where","title":"string","content":"pub fn string(value: String) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.string\ncake/query/where string","url":"cake/query/where.html#string"},{"doc":"cake/query/where","title":"cake/query/where","content":"","url":"cake/query/where.html"},{"doc":"cake","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\ncake.main\ncake main","url":"cake.html#main"},{"doc":"cake","title":"run_dummy_fragment","content":"pub fn run_dummy_fragment() -&gt; Result(\n  List(#(String, Int, String)),\n  QueryError,\n)\n\nSynonyms:\ncake.run_dummy_fragment\ncake run_dummy_fragment","url":"cake.html#run_dummy_fragment"},{"doc":"cake","title":"run_dummy_select","content":"pub fn run_dummy_select() -&gt; Nil\n\nSynonyms:\ncake.run_dummy_select\ncake run_dummy_select","url":"cake.html#run_dummy_select"},{"doc":"cake","title":"run_dummy_union_all","content":"pub fn run_dummy_union_all() -&gt; Nil\n\nSynonyms:\ncake.run_dummy_union_all\ncake run_dummy_union_all","url":"cake.html#run_dummy_union_all"},{"doc":"cake","title":"run_on_postgres","content":"pub fn run_on_postgres(\n  query: Query,\n  query_decoder: fn(Dynamic) -&gt; Result(a, List(DecodeError)),\n) -&gt; Result(List(a), QueryError)\n\nSynonyms:\ncake.run_on_postgres\ncake run_on_postgres","url":"cake.html#run_on_postgres"},{"doc":"cake","title":"stacky","content":"pub fn stacky() -&gt; a\n\nSynonyms:\ncake.stacky\ncake stacky","url":"cake.html#stacky"},{"doc":"cake","title":"cake","content":"","url":"cake.html"},{"doc":"cake/query/delete","title":"cake/query/delete","content":" TODO","url":"cake/query/delete.html"},{"doc":"cake/query/epilog","title":"new","content":"pub fn new(epilog eplg: String) -&gt; EpilogPart\n\nSynonyms:\ncake/query/epilog.new\ncake/query/epilog new","url":"cake/query/epilog.html#new"},{"doc":"cake/query/epilog","title":"cake/query/epilog","content":"","url":"cake/query/epilog.html"},{"doc":"cake/query/group_by","title":"cake/query/group_by","content":" TODO","url":"cake/query/group_by.html"},{"doc":"cake/query/having","title":"cake/query/having","content":" TODO","url":"cake/query/having.html"},{"doc":"cake/query/insert","title":"cake/query/insert","content":" TODO","url":"cake/query/insert.html"},{"doc":"cake/query/limit","title":"cake/query/limit","content":" TODO","url":"cake/query/limit.html"},{"doc":"cake/query/order_by","title":"cake/query/order_by","content":" TODO","url":"cake/query/order_by.html"},{"doc":"cake/query/update","title":"cake/query/update","content":" TODO","url":"cake/query/update.html"},{"doc":"cake/query/window","title":"cake/query/window","content":" TODO","url":"cake/query/window.html"},{"doc":"cake/query/with","title":"cake/query/with","content":" TODO","url":"cake/query/with.html"},{"doc":"cake/stdlib/stringx","title":"map_join","content":"pub fn map_join(\n  list l: List(a),\n  map m: fn(a) -&gt; String,\n  join j: String,\n) -&gt; String\n\nSynonyms:\ncake/stdlib/stringx.map_join\ncake/stdlib/stringx map_join","url":"cake/stdlib/stringx.html#map_join"},{"doc":"cake/stdlib/stringx","title":"cake/stdlib/stringx","content":"","url":"cake/stdlib/stringx.html"},{"doc":"cake/transaction","title":"cake/transaction","content":"","url":"cake/transaction.html"}]);